ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

c

org.bdgenomics.adam.models

# Symbol 

###

#### case class Symbol(label: Char, complement: Char) extends Product with Serializable

A symbol in an alphabet.

label

  a character which represents the symbol

complement

  acharacter which represents the complement of the symbol

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Symbol
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Symbol(label: Char, complement: Char)

   label

     a character which represents the symbol

   complement

     acharacter which represents the complement of the symbol

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  val complement: Char
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  val label: Char
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
15.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
16.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped